Installation

GNU/Linux

Des paquets pour la plupart des distributions sont disponibles. Rendez vous à la page Téléchargements.

A titre d'information, les dépendances requises sont Python en version 3 et pyQt.

Si un paquet n'est pas disponible pour votre distribution, il est toujours possible d'utiliser la procédure ci-dessous.

GNU/Linux (générique)

Rendez vous à la page Téléchargements

1ère étape : les dépendances.

JolieBulle a besoin pour fonctionner de Python 3 et de pyQt. Ces paquets sont disponibles sur la majorité des distributions.

2ème étape : installation

En ligne de commande, dans le répertoire de l'application :

sudo python3 setup.py install

et le tour est joué.

Note : sur les distributions qui ont conservé Python 2.x comme version par défaut, il est possible que la version fournie de pyQt ne soit pas compatible avec Python 3. C'est notamment le cas pour Ubuntu jusqu'à la version 12.04. La seule solution est alors de recompiler pyQt et SIP après l'avoir téléchargé sur le site officiel. C'est un bug connu d'Ubuntu, rapporté en 2009 et qui a tardé à être corrigé. Les distributions non-dérivées de Debian, comme Fedora ou OpenSuse sont généralement épargnées et l'installation ne posera pas de problème.

Ubuntu

JolieBulle est facilement installable à partir de la version 12.04. Avant, se reporter à la procédure ci-dessus.

Des paquets sont disponibles dans la section Téléchargements .

Des dépôts sont également disponibles, voir : http://software.opensuse.org/download.html?project=home%3A314r&package=joliebulle

Windows

Télécharger l'exécutable à partir de la page Téléchargements : http://joliebulle.tuxfamily.org/pages/telechargements